<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::StringConverter Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#95d05930b54167f5353733ec36668f65">isNumber</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#1071507cdcfe259ebe38076cffa9eb03">parseAngle</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#cb73fe51466c5a06a7a5c9e3930ec1ae">parseBool</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#e014f01b641a7877ef380fbd4e34c517">parseColourValue</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#910e27d2df97d63a500ba362a7a8c4c0">parseInt</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#180c74b383312866cdf703f2dfee1693">parseLong</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#4cedabd971b2a321515a1fed5ebc4ba9">parseMatrix3</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#2b6e2a8a95123ac2a23a3df46754a470">parseMatrix4</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#798a187ff74d8fb8b21411c8fc43733b">parseQuaternion</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#611c145336bf168437ef819442dae276">parseReal</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#041e06bfaeca7a8950bbd04176d1b826">parseStringVector</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#8915fb7ac436ef46b040d90a0bc16546">parseUnsignedInt</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#e85e96a970453f626f3945d13f86911c">parseUnsignedLong</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#73d0efbc16110466fee470fb09b407e0">parseVector3</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#d6a042aaca76797c0c7369cbcc06529a">toString</a>(Real val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#0ad310156901192d8b4e31f90ce420a0">toString</a>(Radian val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#1c4df33a22e7da4debdc1de0ee250773">toString</a>(Degree val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#6e5354ea0506968e9ca901ce2f5a46af">toString</a>(int val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#6c7efa9542ac3e3a9c17df92c2383fe0">toString</a>(size_t val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#aef4564bd5f496dbdf0889a89aa4cd9f">toString</a>(unsigned long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#9e48331e259a043ce076d2a8c3051340">toString</a>(long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a671980d27b86d09a0f568b451ba677d">toString</a>(bool val, bool yesNo=false)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#54b489bc08f1542fe9dd0b9d57fbfbca">toString</a>(const Vector2 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#40baf295547f60d3d0efcf279268d8dc">toString</a>(const Vector3 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#41d15619e971971f2025052e1a6d7c5a">toString</a>(const Vector4 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#e9044f5fd990ebf7c124dfc3d6423b0a">toString</a>(const Matrix3 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a0a2d5fb724610a66f1949511e1fb478">toString</a>(const Matrix4 &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#a05c075b14b73fbdc82f477d6da359f8">toString</a>(const Quaternion &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#1a53ab0f54bc753ae2748909696d0b32">toString</a>(const ColourValue &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringConverter.html#b6f7c4fb9bf4be031282c8ccf5b38727">toString</a>(const StringVector &amp;val)</td><td><a class="el" href="classOgre_1_1StringConverter.html">Ogre::StringConverter</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:16 2008
</p>
</body>
</html>
